/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.setup.junit.constants;

import com.ibm.team.build.common.model.IBuildDefinition;
import com.ibm.team.foundation.setup.client.repository.IPredefinedArtifact;

/**
 * An enumeration defining the valid build definition ids for the JUnit example.
 */
public enum JUnitBuildDefinition implements IPredefinedArtifact<IBuildDefinition> {
    /**
     * The default build definition id for the JUnit example.
     */
    JUnit("junit"); //$NON-NLS-1$

    private final String fId;

    private JUnitBuildDefinition(String name) {
        fId = name;
    }

    /**
     * @return The build definition id.
     */
    public String getId() {
        return fId;
    }

    public String getName() {
        return fId;
    }

    public Class<IBuildDefinition> getResolvedType() {
        return IBuildDefinition.class;
    }

    public boolean isInstance(IBuildDefinition item) {
        return item.getId().equals(fId);
    }

}
