/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/
package com.ibm.team.build.setup.junit.constants;

import com.ibm.team.build.common.model.IBuildEngine;
import com.ibm.team.foundation.setup.client.repository.IPredefinedArtifact;

/**
 * An enumeration defining the valid build engine ids for the JUnit example.
 */
public enum JUnitBuildEngine implements IPredefinedArtifact<IBuildEngine> {
    /**
     * The default build engine id for the JUnit example.
     */
    JUnit("junit"); //$NON-NLS-1$

    private final String fId;

    private JUnitBuildEngine(String name) {
        fId = name;
    }

    /**
     * @return The build engine id.
     */
    public String getId() {
        return fId;
    }

    public String getName() {
        return fId;
    }

    public Class<IBuildEngine> getResolvedType() {
        return IBuildEngine.class;
    }

    public boolean isInstance(IBuildEngine item) {
        return item.getId().equals(fId);
    }
}
